#ifndef PSEUDO_OSD_H
#define PSEUDO_OSD_H


#define WM_OSD_SHOW WM_USER + 10
#define WM_OSD_HIDE WM_USER + 11

class CPseudoOSD {
	static HINSTANCE m_hinst;
	HWND m_hwnd;
	COLORREF m_crBackColor;
	COLORREF m_crTextColor;
	HFONT m_hFont;
	LPTSTR m_pszText;
	unsigned int m_HideTimerID;
	static CPseudoOSD *GetThis(HWND hwnd);
	static LRESULT CALLBACK WndProc(HWND hwnd,UINT uMsg,
												WPARAM wParam,LPARAM lParam);
public:
	static bool Initialize(HINSTANCE hinst);
	CPseudoOSD();
	~CPseudoOSD();
	bool Create(HWND hwndParent);
	bool Destroy();
	bool Show(DWORD Time=0);
	bool Hide();
	bool SetText(LPCTSTR pszText);
	bool SetPosition(int Left,int Top,int Width,int Height);
	void SetTextColor(COLORREF crText);
	bool SetTextHeight(int Height);
	bool CalcTextSize(SIZE *pSize);
	void AsyncSendMessage(UINT msg, WPARAM wParam, LPARAM lParam) { PostMessage(m_hwnd, msg, wParam, lParam);} 
};


#endif
